%define version 0.5
%define rel 1
%define snapshot git20091030
%define release %mkrel 0.%{snapshot}.%{rel}

%define sversion %{version}%{snapshot}

Name: hornsey
Summary: The Moblin media player
Group: Graphical desktop/Other
Version: %{version}
License: LGPLv2.1
URL: http://www.moblin.org
Release: %{release}
Source0: %{name}-%{sversion}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

# patches commited after moblin-2.1 was tagged
Patch0: hornsey-0.5-fix-6876-crash.patch
Patch1: hornsey-0.5-fix-7358-scrollbar.patch
Patch2: hornsey-0.5-fix-7807-cpu.patch

BuildRequires: clutter-devel
BuildRequires: clutter-gst-devel
BuildRequires: clutter-gtk-devel
BuildRequires: bickley-devel
BuildRequires: nbtk-devel
BuildRequires: startup-notification-devel
BuildRequires: unique-devel
BuildRequires: bognor-regis-devel
BuildRequires: gnome-common
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: libnotify-devel
BuildRequires: libxtst-devel

%description
The Moblin media player

%prep
%setup -q -n %{name}-%{sversion}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%doc COPYING AUTHORS NEWS README ChangeLog
%{_bindir}/hornsey
%{_datadir}/%{name}/*
%{_datadir}/icons/hicolor/64x64/apps/hornsey.png
%{_datadir}/applications/hornsey.desktop
%{_datadir}/dbus-1/services/org.moblin.Hornsey.service
%{_datadir}/locale/*


%changelog
* Fri Nov 06 2009 Caio Begotti <caio1982@mandriva.org> 0.5-0.git20091030.1mdv2010.0
+ Revision: 461924
- new checkout supposed to be tagged for moblin-2.1
- relevant patches commited after moblin-2.1 was tagged

* Wed Oct 28 2009 Olivier Blin <oblin@mandriva.com> 0.5-0.git20091028.1mdv2010.0
+ Revision: 459758
- update to git snapshot 20091028 (from Caio Begotti)

* Sat Oct 03 2009 Olivier Blin <oblin@mandriva.com> 0.5-0.git20091001.3mdv2010.0
+ Revision: 452805
- revert incorrect buildrequires fixes

  + Caio Begotti <caio1982@mandriva.org>
    - fix bickley's dependency

* Fri Oct 02 2009 Olivier Blin <oblin@mandriva.com> 0.5-0.git20091001.1mdv2010.0
+ Revision: 452648
- fix buildrequires
- do not run configure twice
- fix versionning
- remove icons scriptlet duplicate with filetrigger
- remove explicit lib require
- fix group
- fix bognor-regis-devel buildrequire
- initial import (from Claudio Matsuoka and Caio Begotti, based on Fedora package)
- Created package structure for hornsey.

